using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Tutorial_5_1
{
    public partial class Form1 : Form
    {
        /// The window that displays our XNA graphics.
        GrfxWindowXNA graphicsWindow;

        public Form1()
        {
            InitializeComponent();
        }

        //Called after the form is initialized, Creates the XNA graphics Window
        //and replaces it's placeholder with the graphics window
        private void Form1_Load(object sender, EventArgs e)
        {
            graphicsWindow = new GrfxWindowXNA();
            graphicsWindow.ReplaceFormControl(PlaceHolder_XNA);
        }

        //called when the quit button is pressed
        private void Button_Quit_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}